gcore(1)

NAME
gcore - Generate core files for running processes

SYNOPSIS
gcore [-a] [-o filename] pid[s]

DESCRIPTION

gcore generates a core file for the process(es) specified by process IDs, pid[s]. By default, each core file is written to core.pid, in the current directory.

-a  (Linux only) ignore /proc/PID/coredump_filter and also dump memory mappings marked with the 'VM_DONTDUMP' flag. See info node Core File Generation for longer explanation.

-o filename
    write core file to filename if one PID, or filename.pid if multiple PIDs, instead of default core.pid

COPYING
Copyright © 2003, 2005, 2007, 2008, 2018, 2020 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

SEE ALSO
gdb(1), core(5)